Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005592TestLinkTest Specification Exportpublic2013-03-25 22:142013-05-22 20:59
Reporterfrl 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWAMPOSWindowsOS VersionSeven
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005592: keywords or custom fields are not imported on test suites element with an XML file exported from TL.
DescriptionWhen I import an XML file produced by a previous export (from another project), the custom fields and keywords are not imported properly on the test suite elements.
 
regards
Steps To Reproduce1 - define a project with custom fields assigned to test suite items and some keywords
2 - create a test suite and assign at least one keyword to it
3 - export the test suite
4 - check the XML file generated (see info below)
Additional InformationLooking at the XML file export from source project, it seems badly formatted because <keywords> and <custom_fields> elements are embedded within <details> element.

When I edit manually the exported XML file to make <keywords> and <custom_fields> sibling elements of <details>, instead of child elements, import in the destination project is OK (custom fields and keyword are properly set)
TagsNo tags attached.
Database (MySQL,Postgres,etc)mySQL 5.5
BrowserIE9
PHP Version5.3.8
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon testsuite-import-ok.xml [^] (489 bytes) 2013-03-26 20:21
xml file icon testsuite-export-ko.xml [^] (491 bytes) 2013-03-26 20:21

- Relationships
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018580)
fman (administrator)
2013-03-26 09:44

Please provide XML Generated by TestLink, that you have used to test import

Each time there is an import/export feature providing files is mandatory
(0018583)
frl (reporter)
2013-03-26 20:33

I atached the two files used for test

NOTE : a custom field named CF_TS_VERSION type string is defined for the test suite items and assigned on the project used for tests.

1 - testlink-import-ok.xml corresponding to initial import
=> after import keyword SB-TC-NOMINAL is set and custom field value also

2 - testlink-export-ko.xml generated by TL when exported the same suite (my test suite) with options export custom fields and export keywords set

3 - if I delete the test suite and reimport 2nd file to create it, then custom field value is empty and keyword is not set
=> end tag </details> elements seems misplaced in the XML file exported by TL
(it should be located before <keywords> start tag)

Regards
(0018590)
fman (administrator)
2013-03-27 19:39

Please apply this fix:
http://gitorious.org/testlink-ga/testlink-code/commit/61caadc04d7532377a8f1e8e7540c598aee3ec3c [^]

retest and provide feedback
(0018591)
frl (reporter)
2013-03-27 21:19

I retested with this fix and it's now ok (I got my test suites correclty reimported with expected keywords and custom fields)

Thanks
(0018593)
fman (administrator)
2013-03-28 10:40

Thanks for your help

- Issue History
Date Modified Username Field Change
2013-03-25 22:14 frl New Issue
2013-03-26 09:44 fman Note Added: 0018580
2013-03-26 20:21 frl File Added: testsuite-import-ok.xml
2013-03-26 20:21 frl File Added: testsuite-export-ko.xml
2013-03-26 20:33 frl Note Added: 0018583
2013-03-27 19:39 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-03-27 19:39 fman Note Added: 0018590
2013-03-27 19:39 fman Status new => resolved
2013-03-27 19:39 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-03-27 19:39 fman Resolution open => fixed
2013-03-27 19:39 fman Assigned To => fman
2013-03-27 19:40 fman Relationship added child of 0005551
2013-03-27 21:19 frl Note Added: 0018591
2013-03-28 10:40 fman Note Added: 0018593
2013-05-22 20:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker